### Method

# Gtk GestureSwipe get_velocity

#### Declaration [src]

    gboolean
    gtk_gesture_swipe_get_velocity (
      GtkGestureSwipe* gesture,
      double* velocity_x,
      double* velocity_y
    )

#### Description [src]

Gets the current velocity.

If the gesture is recognized, this function returns `TRUE` and fills in `velocity_x` and `velocity_y` with the recorded velocity, as per the last events processed.

#### Parameters

`velocity_x` | `double*`
| Return value for the velocity in the X axis, in pixels/sec.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`velocity_y` | `double*`
| Return value for the velocity in the Y axis, in pixels/sec.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| Whether velocity could be calculated.